## List Indexes **get** `/api/v1/indexes` List indexes for the current project. ### Query Parameters - `organization_id: optional string` - `page_size: optional number` - `page_token: optional string` - `project_id: optional string` - `source_directory_id: optional string` ### Cookie Parameters - `session: optional string` ### Returns - `items: array of object { id, export_config_id, name, 9 more }` The list of items. - `id: string` Unique identifier - `export_config_id: string` ID of the export configuration. - `name: string` Index name. - `project_id: string` Project this index belongs to. - `source_directory_id: string` ID of the source directory. - `sync_config_id: string` ID of the sync configuration. - `created_at: optional string` Creation datetime - `description: optional string` Index description. - `last_exported_at: optional string` Last export time. - `last_synced_at: optional string` Last sync time. - `metadata: optional map[unknown]` Build state and diagnostic info. - `updated_at: optional string` Update datetime - `next_page_token: optional string` A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages. - `total_size: optional number` The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only. ### Example ```http curl https://api.cloud.llamaindex.ai/api/v1/indexes \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" ``` #### Response ```json { "items": [ { "id": "id", "export_config_id": "export_config_id", "name": "name", "project_id": "project_id", "source_directory_id": "source_directory_id", "sync_config_id": "sync_config_id", "created_at": "2019-12-27T18:11:19.117Z", "description": "description", "last_exported_at": "2019-12-27T18:11:19.117Z", "last_synced_at": "2019-12-27T18:11:19.117Z", "metadata": { "foo": "bar" }, "updated_at": "2019-12-27T18:11:19.117Z" } ], "next_page_token": "next_page_token", "total_size": 0 } ```